> ## Documentation Index
> Fetch the complete documentation index at: https://docs.miav.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Search stations

> Lists the stations of the organization, with filters, pagination and the live connection state of each one.



## OpenAPI

````yaml /openapi.json post /charging-stations/search
openapi: 3.1.0
info:
  title: CSMS API
  description: Backend API documentation
  version: 0.0.0
servers: []
security: []
paths:
  /charging-stations/search:
    post:
      tags:
        - charging stations
      summary: Search stations
      description: >-
        Lists the stations of the organization, with filters, pagination and the
        live connection state of each one.
      operationId: postChargingStationsSearch
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                page:
                  type: number
                perPage:
                  type: number
                sort:
                  type: object
                  properties:
                    field:
                      type: string
                    direction:
                      type: string
                      enum:
                        - asc
                        - desc
                  required:
                    - field
                    - direction
                keyword:
                  type: string
                groupId:
                  type: number
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                        identifier:
                          type: string
                        name:
                          anyOf:
                            - type: string
                            - type: 'null'
                        protocol:
                          anyOf:
                            - type: string
                              enum:
                                - OCPP_1_6
                                - OCPP_2_0_1
                            - type: 'null'
                        latitude:
                          anyOf:
                            - type: number
                            - type: 'null'
                        longitude:
                          anyOf:
                            - type: number
                            - type: 'null'
                        address:
                          anyOf:
                            - type: string
                            - type: 'null'
                        placeId:
                          anyOf:
                            - type: string
                            - type: 'null'
                        vendorName:
                          anyOf:
                            - type: string
                            - type: 'null'
                        model:
                          anyOf:
                            - type: string
                            - type: 'null'
                        serialNumber:
                          anyOf:
                            - type: string
                            - type: 'null'
                        firmwareVersion:
                          anyOf:
                            - type: string
                            - type: 'null'
                        lastBootAt:
                          anyOf:
                            - type: string
                              format: date-time
                              pattern: >-
                                ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                            - type: 'null'
                        lastSeenAt:
                          anyOf:
                            - type: string
                              format: date-time
                              pattern: >-
                                ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                            - type: 'null'
                        lastConnectedAt:
                          anyOf:
                            - type: string
                              format: date-time
                              pattern: >-
                                ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                            - type: 'null'
                        lastDisconnectedAt:
                          anyOf:
                            - type: string
                              format: date-time
                              pattern: >-
                                ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                            - type: 'null'
                        organizationId:
                          type: number
                        groupId:
                          anyOf:
                            - type: number
                            - type: 'null'
                        createdAt:
                          type: string
                          format: date-time
                          pattern: >-
                            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                        updatedAt:
                          type: string
                          format: date-time
                          pattern: >-
                            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                        evses:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: number
                              evseId:
                                type: number
                              chargingStationId:
                                type: number
                              createdAt:
                                type: string
                                format: date-time
                                pattern: >-
                                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                              updatedAt:
                                type: string
                                format: date-time
                                pattern: >-
                                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                              connectors:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    id:
                                      type: number
                                    connectorId:
                                      type: number
                                    status:
                                      type: string
                                      enum:
                                        - AVAILABLE
                                        - OCCUPIED
                                        - RESERVED
                                        - UNAVAILABLE
                                        - FAULTED
                                    statusDetail:
                                      anyOf:
                                        - type: string
                                        - type: 'null'
                                    errorCode:
                                      anyOf:
                                        - type: string
                                        - type: 'null'
                                    type:
                                      anyOf:
                                        - type: string
                                          enum:
                                            - TYPE2
                                            - CCS2
                                            - CHADEMO
                                            - OTHER
                                        - type: 'null'
                                    maxPower:
                                      anyOf:
                                        - type: number
                                        - type: 'null'
                                    evseId:
                                      type: number
                                    createdAt:
                                      type: string
                                      format: date-time
                                      pattern: >-
                                        ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                                    updatedAt:
                                      type: string
                                      format: date-time
                                      pattern: >-
                                        ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                                  required:
                                    - id
                                    - connectorId
                                    - status
                                    - statusDetail
                                    - errorCode
                                    - type
                                    - maxPower
                                    - evseId
                                    - createdAt
                                    - updatedAt
                            required:
                              - id
                              - evseId
                              - chargingStationId
                              - createdAt
                              - updatedAt
                              - connectors
                        group:
                          anyOf:
                            - type: object
                              properties:
                                id:
                                  type: number
                                name:
                                  type: string
                                description:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                organizationId:
                                  type: number
                                createdAt:
                                  type: string
                                  format: date-time
                                  pattern: >-
                                    ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                                updatedAt:
                                  type: string
                                  format: date-time
                                  pattern: >-
                                    ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                              required:
                                - id
                                - name
                                - description
                                - organizationId
                                - createdAt
                                - updatedAt
                            - type: 'null'
                        online:
                          type: boolean
                      required:
                        - id
                        - identifier
                        - name
                        - protocol
                        - latitude
                        - longitude
                        - address
                        - placeId
                        - vendorName
                        - model
                        - serialNumber
                        - firmwareVersion
                        - lastBootAt
                        - lastSeenAt
                        - lastConnectedAt
                        - lastDisconnectedAt
                        - organizationId
                        - groupId
                        - createdAt
                        - updatedAt
                        - evses
                        - group
                        - online
                  meta:
                    type: object
                    properties:
                      page:
                        type: number
                      perPage:
                        type: number
                      totalItems:
                        type: number
                      totalPages:
                        type: number
                      sort:
                        type: object
                        properties:
                          field:
                            type: string
                          direction:
                            type: string
                        required:
                          - field
                          - direction
                      filters: {}
                    required:
                      - page
                      - perPage
                      - totalItems
                      - totalPages
                      - sort
                required:
                  - data
                  - meta
        '404':
          description: Organization not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    const: 404
                  message:
                    type: string
                    const: Organization not found
                  type:
                    type: string
                    const: ORGANIZATION_NOT_FOUND
                  attributes:
                    type: object
                    propertyNames:
                      type: string
                    additionalProperties:
                      type: string
                required:
                  - status
                  - message
                  - type

````